"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'twilightszoom',
    name: 'Twilights Zoom',
    description: 'Twilights Zoom is a Private Torrent Tracker for MUSIC',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://twilightzoom.org/'],
    caps: {
        categorymappings: [
            { id: '35', cat: 'Audio', desc: "80's Music" },
            { id: '14', cat: 'Audio', desc: 'Alternative' },
            { id: '53', cat: 'PC', desc: 'Appz' },
            { id: '70', cat: 'Audio', desc: 'BlueGrass Music' },
            { id: '48', cat: 'Audio', desc: 'Blues ' },
            { id: '68', cat: 'Audio', desc: 'Celtic' },
            { id: '19', cat: 'Audio', desc: 'Childrens Music' },
            { id: '26', cat: 'Audio', desc: 'Chill-Out' },
            { id: '56', cat: 'Audio', desc: 'Christian Rock' },
            { id: '21', cat: 'Audio', desc: 'Christmas Music' },
            { id: '3', cat: 'Audio', desc: 'Classical / Opera' },
            { id: '20', cat: 'Audio', desc: 'Comedy' },
            { id: '18', cat: 'Audio', desc: 'Country' },
            { id: '4', cat: 'Audio', desc: 'Dance' },
            { id: '84', cat: 'Audio', desc: 'Death Metal' },
            { id: '62', cat: 'Audio', desc: 'Discography' },
            { id: '40', cat: 'Audio', desc: 'DJ Tools' },
            { id: '60', cat: 'Audio', desc: 'DMC' },
            { id: '51', cat: 'Audio', desc: 'Drum &amp;Bass' },
            { id: '39', cat: 'Audio', desc: 'Dubstep' },
            { id: '5', cat: 'Audio', desc: 'Easy Listening' },
            { id: '6', cat: 'Audio', desc: 'Electronic' },
            { id: '82', cat: 'Audio/Lossless', desc: 'FLAC' },
            { id: '37', cat: 'Audio', desc: 'Folk' },
            { id: '44', cat: 'Audio', desc: 'Garage Music' },
            { id: '59', cat: 'Audio', desc: 'Hardcore' },
            { id: '7', cat: 'Audio', desc: 'Hip Hop' },
            { id: '74', cat: 'Audio', desc: 'Horrorcore ' },
            { id: '27', cat: 'Audio', desc: 'House' },
            { id: '8', cat: 'Audio', desc: 'Indie' },
            { id: '73', cat: 'Audio', desc: 'Industrial ' },
            { id: '9', cat: 'Audio', desc: 'Inspirational / Gospel' },
            { id: '61', cat: 'Audio', desc: 'Instrumental' },
            { id: '10', cat: 'Audio', desc: 'Jazz Music ' },
            { id: '49', cat: 'Audio', desc: 'Karaoke' },
            { id: '11', cat: 'Audio', desc: 'Latin' },
            { id: '69', cat: 'Audio', desc: 'Magazines' },
            { id: '25', cat: 'Audio', desc: 'Mastermix' },
            { id: '65', cat: 'Audio', desc: 'Member Mixes' },
            { id: '30', cat: 'Audio', desc: 'Metal' },
            { id: '24', cat: 'Audio', desc: 'Misc' },
            { id: '58', cat: 'Audio', desc: 'Mixes-Mashups' },
            { id: '50', cat: 'Audio', desc: 'Motown' },
            { id: '75', cat: 'Audio', desc: 'Music Charts' },
            { id: '76', cat: 'Audio/Video', desc: 'Music movies ' },
            { id: '57', cat: 'Audio', desc: 'Music Packs' },
            { id: '54', cat: 'Audio/Video', desc: 'Music Videos' },
            { id: '78', cat: 'Other', desc: 'Need to mod' },
            { id: '12', cat: 'Audio', desc: 'New Age' },
            { id: '43', cat: 'Audio', desc: 'Oldies' },
            { id: '13', cat: 'Audio', desc: 'Pop (Popular Music)' },
            { id: '36', cat: 'Audio', desc: 'Punk' },
            { id: '1', cat: 'Audio', desc: 'R&B/Soul' },
            { id: '42', cat: 'Audio', desc: 'Radio' },
            { id: '46', cat: 'Audio', desc: 'Rap' },
            { id: '15', cat: 'Audio', desc: 'Reggae' },
            { id: '45', cat: 'Audio', desc: 'Regimental-Military' },
            { id: '16', cat: 'Audio', desc: 'Rock' },
            { id: '72', cat: 'Audio', desc: 'Rockabilly' },
            { id: '66', cat: 'Audio', desc: 'Seasonal' },
            { id: '77', cat: 'Audio', desc: 'Singles' },
            { id: '83', cat: 'Audio', desc: 'Soul' },
            { id: '23', cat: 'Audio', desc: 'Soundtracks' },
            { id: '71', cat: 'Audio', desc: 'Techno' },
            { id: '22', cat: 'Other', desc: 'Torrents not modded' },
            { id: '41', cat: 'Audio', desc: 'Trance' },
            { id: '38', cat: 'Audio', desc: 'World Music' },
        ],
        modes: {
            search: ['q'],
            'music-search': ['q', 'album', 'artist', 'label', 'year'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '4',
            options: { '1': 'title', '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'login.php',
        method: 'form',
        form: 'form[action="takelogin.php"]',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            returnto: '/',
            perm_ssl: 1,
        },
        error: [
            { selector: 'td.embedded:has(h2:contains("failed"))' },
            { selector: 'td.embedded:has(h2:contains("Error"))' },
        ],
        test: { path: 'index.php', selector: 'a[href^="./logout.php"]' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ if or (.Query.Artist) (.Query.Album) }}{{ or (.Query.Artist) (.Query.Album) }}{{else}}{{ .Keywords }}{{end}}',
            incldead: 1,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table[style="width:928px;"] > tbody > tr:has(a[href^="download.php?torrent="])',
        },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: '<b>(.+?)</b>' }],
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?torrent="]',
                attribute: 'href',
            },
            banner: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'onmouseover',
                filters: [
                    { name: 'regexp', args: 'src="(.*?)"' },
                    { name: 'replace', args: ['./pic/noposter.png', ''] },
                ],
            },
            files: { selector: 'td:nth-last-child(8)' },
            date: {
                selector: 'td:nth-last-child(6):not(:contains("day"))',
                optional: true,
                filters: [{ name: 'dateparse', args: 'Jan 2 2006 03:04 PM' }],
            },
            size: { selector: 'td:nth-last-child(5)' },
            grabs: {
                selector: 'td:nth-last-child(4)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            seeders: { selector: 'td:nth-last-child(3)' },
            leechers: { selector: 'td:nth-last-child(2)' },
            downloadvolumefactor: {
                case: { 'img[src="free.gif"]': 0, '*': 1 },
            },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
